﻿<!DOCTYPE html>
<html ng-app="shawarma">
<head>
    <meta charset="utf8">
    <title>Shawarma</title>
    <script src="public/libs/angular.js"></script>
    <script src="public/libs/angular-locale_es-cl.js"></script>
    <script src="public/libs/ui-bootstrap-tpls-0.13.0.js"></script>
    <script language="javascript" src="public/controllers/IndexController.js"></script>
    <script language="javascript" src="public/controllers/IngresarPedidoController.js"></script>
    <script language="javascript" src="public/controllers/ResumenVentasController.js"></script>

    <link href="public/css/bootstrap-3.3.4-dist/css/bootstrap.css" rel="stylesheet">
    <link rel="stylesheet" href="public/css/estilos.css">
    <link rel='shortcut icon' href='../favicon.ico' type='image/x-icon' />
</head>
	<body ng-controller="IndexController" style="font-family:@font-family-base; font-size:10pt; padding:0px; margin:0px; width:100%;">
		<script type="text/ng-template" id="IngresarPedido.html">
	        <div class="modal-header anchoModal radioBordeHeader" style="padding-top:10px; padding-bottom:10px; padding-left:20px;">
	            <h4 class="modal-title">Nuevo pedido</h4>
	        </div>
	        <div class="modal-body anchoModal" style="padding-top:15px; padding-bottom:1px; padding-left:15px; padding-right:15px;">
				<form class="form-horizontal">
					<div class="form-group">
						<label for="txtClienteTelefono" class="col-sm-1 control-label" style="text-align:left;">Teléfono:</label>
						<div class="col-sm-2">
							<input type="text" class="form-control" id="txtClienteTelefono" placeholder="Ingrese teléfono del cliente" ng-model="Pedido_ClienteTelefono">
						</div>
						<label for="txtClienteNombre" class="col-sm-1 control-label" style="text-align:right;">Nombre:</label>
						<div class="col-sm-4">
							<input type="text" class="form-control" id="txtClienteNombre" placeholder="Ingrese nombre del cliente" ng-model="Pedido_ClienteNombre">
						</div>
						<label for="selDespacho" class="col-sm-1 control-label" style="text-align:right;">Despacho:</label>
						<div class="col-sm-3">
							<select class="form-control" id="selDespacho" placeholder="Seleccione despacho" ng-model="Despacho_Id" ng-options="Despacho.Despacho_Id as Despacho.Despacho_Nombre for Despacho in Despachos">
								<option value="">Seleccione...</option>
							</select>
						</div>
					</div>
					<div class="form-group">
						<label for="txtClienteDireccion" class="col-sm-1 control-label" style="text-align:left;">Dirección:</label>
						<div class="col-sm-7">
							<input type="text" class="form-control" id="txtClienteDireccion" placeholder="Ingrese dirección del cliente" ng-model="Pedido_ClienteDireccion">
						</div>
						<label for="selFormaPago" class="col-sm-1 control-label" style="text-align:right; white-space:nowrap;">F. pago:</label>
						<div class="col-sm-3">
							<select class="form-control" id="selFormaPago" placeholder="Seleccione forma de pago" ng-model="FormaPago_Id" ng-options="FormaPago.FormaPago_Id as FormaPago.FormaPago_Nombre for FormaPago in FormasPago">
								<option value="">Seleccione...</option>
							</select>
						</div>
					</div>
		  			<div class="col-sm-6" style="padding-left:0px;">
						<div class="panel panel-default">
				  			<!--<div class="panel-heading">
				    			<h3 class="panel-title">Carne</h3>
				  			</div>-->
				  			<div class="panel-body">
				  				<div style="padding-bottom:10px;">
									<input type="text" class="form-control" placeholder="Buscar..." ng-model="Producto_Busqueda" style="background:#ffffff;">
								</div>
				  				<div style="padding-bottom:10px;">
									<input type="text" class="form-control" placeholder="Elija un producto" ng-model="Producto_Nombre" disabled="disabled" style="background:#ffffcc; font-weight:bold;">
								</div>
								<div style="height:225px;overflow-y:scroll;">
									<input type="button" class="btn btn-default col-md-12 col-sm-12 col-xs-12" ng-repeat="Producto in Productos | filter:Producto_Busqueda" style="margin:5px 10px 5px 0px; text-align:left;" value="{{ Producto.Producto_Nombre }}" ng-click="seleccionaProducto(Producto.Producto_Id, Producto.Producto_Nombre, Producto.Producto_PrecioUnitario)" />
								</div>
				  			</div>
						</div>
					</div>
		  			<div class="col-sm-6" style="padding-left:0px; padding-right:0px; padding-bottom:0px;">
						<div class="panel panel-default" style="padding-bottom:0px;">
				  			<!--<div class="panel-heading">
				    			<h3 class="panel-title"></h3>
				  			</div>-->
				  			<div class="panel-body" style="padding-bottom:0px;">
								<div class="form-group">
									<div class="col-sm-4">
										<input type="number" class="form-control" id="txtCantidad" placeholder="Cantidad" ng-model="Cantidad" style="text-align:center;">
									</div>
									<div class="col-sm-2"></div>
									<div class="col-sm-6">
										<input type="button" class="btn btn-primary" value="Agregar producto" ng-click="agregaProducto()">
									</div>
								</div>
								<table id="tblPedido" class="table table-striped" style="width:100%; padding:0px;">
									<thead>
										<tr>
											<!--<th style="width:10%; text-align:center;">#</th>-->
											<th style="width:64%; text-align:center;">Producto</th>
											<th style="width:12%; text-align:center;">#</th>
											<th style="width:24%; text-align:left; padding-left:5px; padding-right:0px;">Subtotal</th>
										</tr>
									</thead>
									<tbody>
									</tbody>
									<tfoot>
										<tr style="font-weight:bold;">
											<td colspan="2" style="width:76%; text-align:center;">Total</td>
											<td style="width:24%; text-align:right; padding-left:5px; padding-right:25px;">{{ Pedido_Total | number:0 }}</td>
										</tr>
									</tfoot>
								</table>
				  			</div>
				  		</div>
				  	</div>
					<div class="form-group">
						<div class="col-sm-9">
							<textarea rows="2" class="form-control" id="txtPedidoComentarios" placeholder="Ingrese comentarios del pedido" ng-model="Pedido_Comentarios">
							</textarea>
						</div>
						<div class="col-sm-1"></div>
						<div class="col-sm-1">
							<input type="checkbox" class="form-control" id="chkPedidoPagado" ng-model="Pedido_Pagado" style="padding-right:0px;" ng-click="muestraChk()" />
						</div>
						<label for="chkPedidoPagado" class="col-sm-1 control-label" style="padding-left:0px; padding-right:30px; text-align:left;">Pagado</label>
					</div>
				</form>
	        </div>
	        <div class="modal-footer anchoModal radioBordeFooter" style="padding-top:12px; padding-bottom:12px;">
				<input type="button" class="btn btn-primary" ng-click="limpiaFormulario()" value="Limpiar" />
				<input type="button" class="btn btn-primary" ng-click="guardaPedido()" value="Guardar" />
				<input type="button" class="btn btn-primary" ng-click="cerrarVentana()" value="Cerrar" />
	        </div>
		</script>
		<script type="text/ng-template" id="ResumenVentas.html">
	        <div class="modal-header anchoModalMediano radioBordeHeader" style="padding-top:10px; padding-bottom:10px; padding-left:20px;">
	            <h4 class="modal-title">Resumen de ventas</h4>
	        </div>
	        <div class="modal-body anchoModalMediano" style="padding-top:15px; padding-bottom:1px; padding-left:15px; padding-right:15px;">
				<form class="form-horizontal">
					<div class="form-group">
						<label class="col-md-6 control-label" style="text-align:left;">Cantidad ventas:</label>
						<label class="col-md-6 control-label" style="text-align:right; padding-right:40px;">{{ ResumenVentas.Cantidad_Pedidos | number:0 }}</label>
				  	</div>
					<div class="form-group">
						<label class="col-md-6 control-label" style="text-align:left;">Monto recaudado:</label>
						<label class="col-md-6 control-label" style="text-align:right; padding-right:40px;">$ {{ ResumenVentas.Monto_Recaudado | number:0 }}</label>
				  		</div>
				  	</div>
				</form>
	        </div>
	        <div class="modal-footer anchoModalMediano radioBordeFooter" style="padding-top:12px; padding-bottom:12px;">
				<input type="button" class="btn btn-primary" ng-click="cerrarVentanaResumenVentas()" value="Cerrar" />
	        </div>
		</script>
		<div style="width:7%; height:643px; float:left;">
			<div style="padding:17px 17px 0px 17px;">
				<div ng-click="insertaPedido()" class="btn btn-primary" style="width:60px; height:60px; border-radius:7px; font-size:20pt; color:#ffffff; padding-top:12px;">
					<span class="glyphicon glyphicon-plus" aria-hidden="true"></span>
				</div>
			</div>
			<div style="padding:17px 17px 0px 17px;">
				<div ng-click="eliminaPedido()" class="btn btn-danger" style="width:60px; height:60px; border-radius:7px; font-size:20pt; color:#ffffff; padding-top:12px;">
					<span class="glyphicon glyphicon-remove" aria-hidden="true"></span>
				</div>
			</div>
			<div style="padding:17px 17px 0px 17px;">
				<div ng-click="modificaPedido()" class="btn btn-warning" style="width:60px; height:60px; border-radius:7px; font-size:20pt; color:#ffffff; padding-top:12px;">
					<span class="glyphicon glyphicon-pencil" aria-hidden="true"></span>
				</div>
			</div>
			<div style="padding:17px 17px 0px 17px;">
				<div ng-click="entregaPedido()" class="btn btn-success" style="width:60px; height:60px; border-radius:7px; font-size:20pt; color:#ffffff; padding-top:12px;">
					<span class="glyphicon glyphicon-ok" aria-hidden="true"></span>
				</div>
			</div>
			<div style="padding:17px 17px 0px 17px;">
				<div ng-click="imprimePedido(PedidoSeleccionado)" class="btn btn-gray" style="width:60px; height:60px; border-radius:7px; font-size:20pt; color:#ffffff; padding-top:12px;">
					<span class="glyphicon glyphicon-print" aria-hidden="true"></span>
				</div>
			</div>
			<div style="padding:17px 17px 0px 17px;">
				<div ng-click="pantallaCocina()" class="btn btn-info" style="width:60px; height:60px; border-radius:7px; font-size:20pt; color:#ffffff; padding-top:12px;">
					<span class="glyphicon glyphicon-share" aria-hidden="true"></span>
				</div>
			</div>
			<div style="padding:17px 17px 0px 17px;">
				<a href="Productos.html" class="btn btn-default" style="width:60px; height:60px; border-radius:7px; font-size:20pt; color:#333333; padding-top:12px;">
					<span class="glyphicon glyphicon-cutlery" aria-hidden="true"></span>
				</a>
			</div>
			<div style="padding:17px 17px 0px 17px;">
				<div ng-click="muestraResumenVentas()" class="btn btn-pink" style="width:60px; height:60px; border-radius:7px; font-size:20pt; color:#ffffff; padding-top:12px;">
					<span class="glyphicon glyphicon-usd" aria-hidden="true"></span>
				</div>
			</div>
		</div>
		<div style="padding-left:3px; width:92%; height:643px; overflow:auto; border:solid 1px; float:left;">

			<div ng-repeat="Pedido in Pedidos" style="float:left; padding:2px; height:320px; width:202px;">

				<div id="{{ 'divPedido'+Pedido.Pedido_Id }}" ng-style="Pedido.Pedido_Id == PedidoSeleccionado &&
					{'border':'solid 2px #aaaaaa', 'background':'#bbbbbb', 'border-top-left-radius':'10px', 'border-top-right-radius':'10px', 'padding':'4px 2px 4px 5px', 'height':'255px', 'position':'relative'} ||
					{'border':'solid 2px #cccccc', 'background':'#dddddd', 'border-top-left-radius':'10px', 'border-top-right-radius':'10px', 'padding':'4px 2px 4px 5px', 'height':'255px', 'position':'relative'}" ng-click="SelDeselPedido(Pedido.Pedido_Id)" onmouseover="this.style.cursor = 'hand';" onmouseout="this.style.cursor = 'pointer';">
					<div style="font-size:12pt; font-weight:bold; position:absolute; left:7px; color:#666666;">{{ Pedido.Pedido_Correlativo }}</div>
					<div style="font-size:12pt; font-weight:bold; position:absolute; right:7px; color:#666666;">{{ Pedido.Despacho_Nombre.substring(0, 1) }}</div>
					<div style="font-size:13pt; text-align:center; padding-bottom:2px;">{{ Pedido.Pedido_ClienteNombre!='' ? Pedido.Pedido_ClienteNombre : '&nbsp;' }}</div>
					<div style="white-space:pre-wrap;">{{ Pedido.Pedido_Detalle }}</div><br />
					<div ng-style="Pedido.Pedido_Pagado == 1 &&
					{'font-size':'12pt', 'font-weight':'bold', 'left':'10px', 'bottom':'0px', 'position':'absolute', 'color':'#00aa00'} ||
					{'font-size':'12pt', 'font-weight':'bold', 'left':'10px', 'bottom':'0px', 'position':'absolute', 'color':'#cc3333'}">$ {{ Pedido.Pedido_Total + ' ' + Pedido.FormaPago_Nemotecnico }}</div>
					<div style="font-size:12pt; font-weight:bold; right:10px; bottom:0px; position:absolute; color:#3333cc;">{{ Pedido.Pedido_TiempoPreparacion }}</div>
				</div>
				<div id="{{ 'divPedidoComentarios'+Pedido.Pedido_Id }}" ng-style="Pedido.Pedido_Id == PedidoSeleccionado &&
					{'border':'solid 2px #E0BA4F', 'background':'#F5CB58', 'border-bottom-left-radius':'10px', 'border-bottom-right-radius':'10px', 'padding':'4px 2px 4px 5px', 'height':'60px'} || 
					{'border':'solid 2px #F0CE67', 'background':'#F2D57C', 'border-bottom-left-radius':'10px', 'border-bottom-right-radius':'10px', 'padding':'4px 2px 4px 5px', 'height':'60px'}" ng-click="SelDeselPedido(Pedido.Pedido_Id)">
					{{ Pedido.Pedido_Comentarios }}
				</div>
			</div>
			<div id="{{ 'divImpresionPedido' + Pedido.Pedido_Id }}" class="printPedido" ng-repeat="Pedido in Pedidos" style="float:left; padding:2px; height:320px; width:202px;">

				<div ng-style="Pedido.Pedido_Id == PedidoSeleccionado &&
					{'border':'solid 2px #aaaaaa', 'background':'#bbbbbb', 'border-top-left-radius':'10px', 'border-top-right-radius':'10px', 'padding':'4px 2px 4px 5px', 'height':'255px', 'position':'relative'} ||
					{'border':'solid 2px #cccccc', 'background':'#dddddd', 'border-top-left-radius':'10px', 'border-top-right-radius':'10px', 'padding':'4px 2px 4px 5px', 'height':'255px', 'position':'relative'}" ng-click="SelDeselPedido(Pedido.Pedido_Id)" onmouseover="this.style.cursor = 'hand';" onmouseout="this.style.cursor = 'pointer';">
					<div style="font-size:12pt; font-weight:bold; position:absolute; left:7px; color:#666666;">{{ Pedido.Pedido_Correlativo }}</div>
					<div style="font-size:12pt; font-weight:bold; position:absolute; right:7px; color:#666666;">{{ Pedido.Despacho_Nombre.substring(0, 1) }}</div>
					<div style="font-size:13pt; text-align:center; padding-bottom:2px;">{{ Pedido.Pedido_ClienteNombre!='' ? Pedido.Pedido_ClienteNombre : '&nbsp;' }}</div>
					<div style="white-space:pre-wrap;">{{ Pedido.Pedido_Detalle }}</div><br />
					<div ng-style="Pedido.Pedido_Pagado == 1 &&
					{'font-size':'12pt', 'font-weight':'bold', 'left':'10px', 'bottom':'0px', 'position':'absolute', 'color':'#00aa00'} ||
					{'font-size':'12pt', 'font-weight':'bold', 'left':'10px', 'bottom':'0px', 'position':'absolute', 'color':'#cc3333'}">$ {{ Pedido.Pedido_Total + ' ' + Pedido.FormaPago_Nemotecnico }}</div>
					<div style="font-size:12pt; font-weight:bold; right:10px; bottom:0px; position:absolute; color:#3333cc;">{{ Pedido.Pedido_TiempoPreparacion }}</div>
				</div>
				<div ng-style="Pedido.Pedido_Id == PedidoSeleccionado &&
					{'border':'solid 2px #E0BA4F', 'background':'#F5CB58', 'border-bottom-left-radius':'10px', 'border-bottom-right-radius':'10px', 'padding':'4px 2px 4px 5px', 'height':'60px'} || 
					{'border':'solid 2px #F0CE67', 'background':'#F2D57C', 'border-bottom-left-radius':'10px', 'border-bottom-right-radius':'10px', 'padding':'4px 2px 4px 5px', 'height':'60px'}" ng-click="SelDeselPedido(Pedido.Pedido_Id)">
					{{ Pedido.Pedido_Comentarios }}
				</div>
			</div>
		</div>
	</body>
</html>
