var shawarma = angular.module('shawarma', ['ui.bootstrap']);

shawarma.controller("EnvoltoriosController", function ($scope, $http, $interval, $rootScope, $timeout, $modal, $location) {

 	$scope.Envoltorios = null;
 	$scope.EnvoltorioSeleccionado = null;

 	$http.get('http://localhost:5000/Envoltorios/Todos/1')
 		.success(function(Envoltorios) {
 			$scope.Envoltorios = Envoltorios;
 		});


 	$scope.SelDeselEnvoltorio = function(pEnvoltorio_Id) {
 		// Despintar div selección anterior
 		if ($scope.EnvoltorioSeleccionado != null)
 		{
 			var trAntigua = document.getElementById('trEnvoltorio'+$scope.EnvoltorioSeleccionado);
 			var i;
 			console.log(trAntigua.children);
 			for(i=0;i<trAntigua.children.length;i++)
 			{
	 			trAntigua.children[i].style.background = '';
 			}
 		}
 		// Selección/Deselección lógica
 		if ($scope.EnvoltorioSeleccionado == pEnvoltorio_Id) //Mismo envoltorio => Deseleccionar
 		{
 			$scope.EnvoltorioSeleccionado = null;
 		}
 		else //Envoltorio distinto => Seleccionar
 		{
 			$scope.EnvoltorioSeleccionado = pEnvoltorio_Id;
 		}
 		// Pintar div seleccionado
 		if ($scope.EnvoltorioSeleccionado != null)
 		{
 			var trNueva = document.getElementById('trEnvoltorio'+$scope.EnvoltorioSeleccionado);
 			var j;
 			for(j=0;j<trNueva.children.length;j++)
 			{
	 			trNueva.children[j].style.background = '#cccccc';
 			}
 		}
 	};

 	$scope.agregaEnvoltorio = function() {

		var modalInstance = $modal.open({
			templateUrl: 'IngresarEnvoltorio.html'
			, controller: 'IngresarEnvoltorioController'
			, size: 'md'
			, resolve: { EnvoltorioSeleccionado: function() {
							return null;
						}
					}
		 });
		modalInstance.result.then(function() {

		}, function() {
		 	$http.get('http://localhost:5000/Envoltorios/Todos/1')
		 		.success(function(Envoltorios) {
		 			$scope.Envoltorios = Envoltorios;
		 		});
		 	});
	 };

 	$scope.modificaEnvoltorio = function() {
		var modalInstance = $modal.open({
			templateUrl: 'IngresarEnvoltorio.html'
			, controller: 'IngresarEnvoltorioController'
			, size: 'md'
			, resolve: { EnvoltorioSeleccionado: function() {
							return $scope.EnvoltorioSeleccionado;
						}
					}
		 });
		modalInstance.result.then(function() {

		}, function() {
		 	$http.get('http://localhost:5000/Envoltorios/Todos/1')
		 		.success(function(Envoltorios) {
		 			$scope.Envoltorios = Envoltorios;
		 		});
		 	});
	 };

	 $scope.activaDesactivaEnvoltorio = function() {
	 	if ($scope.EnvoltorioSeleccionado == null)
	 	{
	 		alert('Antes debe seleccionar un envoltorio.');
	 		return;
	 	}
	 	$http.get('http://localhost:5000/Envoltorios/' + $scope.EnvoltorioSeleccionado)
	 		.success(function(Envoltorio) {
		 		var sql = 'http://localhost:5000/Envoltorios/Guardar/'
		 						+ $scope.EnvoltorioSeleccionado
		 						+ '&' + Envoltorio[0].Envoltorio_Nombre
		 						+ '&' + Envoltorio[0].Envoltorio_PrecioUnitario
		 						+ '&' + (Envoltorio[0].Envoltorio_Activo == '1' ? '0' : '1');
			 	$http.get(sql)
			 		.success(function(Envoltorios) {
					 	$http.get('http://localhost:5000/Envoltorios/Todos/1')
					 		.success(function(EnvoltoriosTodos) {
					 			$scope.Envoltorios = EnvoltoriosTodos;
					 			$scope.EnvoltorioSeleccionado = null;
					 		});
			 		});
	 		});
	 };

	 $scope.navegaPedidos = function() {
//	 	$location.url('http://localhost:4000/pedidos');
		location.href = 'localhost:4000/pedidos';
	 };

  });
