shawarma.controller("IngresarPedidoController", function ($scope, $http, $modalInstance, $compile, $filter, $rootScope, params) {

	console.log('params', params);

	$scope.Action = params[0];
	$scope.Pedido_Id = params[1];

 	$scope.Productos = null;
 	$scope.Despachos = null;
 	$scope.FormasPago = null;
 	$scope.CantidadProductos = 0;
 	$scope.Pedido_Total = 0;

 	$scope.Productos_Pedido = new Array();

    $http.get($rootScope.ApiUrl + 'Productos/Todos/0')
 		.success(function(Productos) {
 			$scope.Productos = Productos;
			console.log(Productos);
 		});

    $http.get($rootScope.ApiUrl + 'Despachos')
 		.success(function(Despachos) {
 			$scope.Despachos = Despachos;
			console.log(Despachos);
 		});

    $http.get($rootScope.ApiUrl + 'FormasPago')
 		.success(function(FormasPago) {
 			$scope.FormasPago = FormasPago;
			console.log(FormasPago);
 		});

 	if ($scope.Action == 'Modify') //Cargar campos con datos del pedido seleccionado
 	{
          $http.get($rootScope.ApiUrl + 'Pedidos/' + $scope.Pedido_Id)
 			.success(function(Pedido) {
 				console.log('Pedido', Pedido);
 				$scope.Pedido_ClienteTelefono = Pedido[0].Pedido_ClienteTelefono == '' ? undefined : Pedido[0].Pedido_ClienteTelefono;
 				$scope.Pedido_ClienteNombre = Pedido[0].Pedido_ClienteNombre == '' ? undefined : Pedido[0].Pedido_ClienteNombre;
 				$scope.Pedido_ClienteDireccion = Pedido[0].Pedido_ClienteDireccion == '' ? undefined : Pedido[0].Pedido_ClienteDireccion;
 				$scope.Despacho_Id = Pedido[0].Despacho_Id;
 				$scope.FormaPago_Id = Pedido[0].FormaPago_Id;
 				$scope.Pedido_Comentarios = Pedido[0].Pedido_Comentarios == '' ? undefined : Pedido[0].Pedido_Comentarios
 				;
 				$scope.Pedido_Pagado = Pedido[0].Pedido_Pagado==1 ? true : false;
                $http.get($rootScope.ApiUrl + 'PedidoProductos/' + $scope.Pedido_Id)
 					.success(function(PedidoProducto) {
 						var i;
 						for (i=0; i<PedidoProducto.length; i++)
 						{
					 		var tbody = document.getElementById('tblPedido').getElementsByTagName('tbody')[0];
					 		//var tr = tbody.insertRow(tbody.rows.length);
					 		var tr = document.createElement('tr');
					 		tbody.appendChild(tr);
					 		//var tdProducto = tr.insertCell(0);
					 		var tdProducto = document.createElement('td');
					 		tdProducto.style.width = '68%';
					 		tdProducto.style.paddingLeft = '2px';
					 		tdProducto.style.paddingRight = '0px';
					 		tdProducto.className = 'filterable-cell';
					 		tdProducto.id = 'td' + PedidoProducto[i].Producto_Id;
					 		//tdProducto.innerHTML = PedidoProducto[i].Producto_Nombre;
                            angular.element(tdProducto).append($compile('<input type="button" class="btn btn-danger" style="font-size:xx-small; border-radius:5px; width:14px; height:14px; padding:0px 0px 0px 2px; text-align:center; vertical-align:middle;" ng-click="eliminaProductoDB(' + PedidoProducto[i].Pedido_Id + ', ' + PedidoProducto[i].Producto_Id + ')" value="x" />&nbsp;' + PedidoProducto[i].Producto_Nombre)($scope));
					 		tr.appendChild(tdProducto);
					 		tdCantidad = document.createElement('td');
					 		tdCantidad.style.textAlign = 'right';
					 		tdCantidad.style.width = '12%';
					 		tdCantidad.className = 'filterable-cell';
					 		tdCantidad.innerHTML = PedidoProducto[i].Pedido_Producto_Cantidad;
					 		tr.appendChild(tdCantidad);
					 		var tdSubtotal = document.createElement('td');
					 		tdSubtotal.style.textAlign = 'right';
					 		tdSubtotal.style.width = '20%';
					 		tdSubtotal.className = 'filterable-cell';
					 		var subtotal = PedidoProducto[i].Pedido_Producto_SubTotal;
					 		$scope.Pedido_Total += subtotal;
					 		tdSubtotal.innerHTML = subtotal;
					 		tr.appendChild(tdSubtotal);
					 		tbody.scrollTop = tbody.scrollHeight - tbody.clientHeight;
					 		$scope.Productos_Pedido.push({
					 			Producto_Id: PedidoProducto[i].Producto_Id
					 			, Pedido_Producto_PrecioUnitario: parseInt(PedidoProducto[i].Pedido_Producto_PrecioUnitario)
					 			, Pedido_Producto_Cantidad: PedidoProducto[i].Pedido_Producto_Cantidad
								, Pedido_Producto_SubTotal: PedidoProducto[i].Pedido_Producto_SubTotal
								, Flag_Considerar: false
					 		});
					 	}
 					});
 			});
 	}

 	$scope.limpiaFormulario = function() {
 		$scope.Pedido_ClienteTelefono = undefined;
 		$scope.Pedido_ClienteNombre = undefined;
 		$scope.Pedido_ClienteDireccion = undefined;
 		var tabla = document.getElementById('tblPedido');;
 		var i;
 		for(i=tabla.rows.length-2;i>0;i--)
 		{
 			tabla.deleteRow(i);
 		}
	 	$scope.Pedido_Total = 0;
	 	$scope.Despacho_Id = 0;
	 	$scope.FormaPago_Id = 0;
	 	$scope.Pedido_Comentarios = undefined;
	 	$scope.Pedido_Pagado = false;
	 	document.getElementById('txtClienteTelefono').focus();
 	};

 	$scope.seleccionaProducto = function(pProducto_Id, pProducto_Nombre, pProducto_PrecioUnitario) {
 		$scope.Producto_Id = pProducto_Id;
 		$scope.Producto_Nombre = pProducto_Nombre;
 		$scope.Producto_PrecioUnitario = pProducto_PrecioUnitario;
 	};

 	$scope.eliminaProducto = function(pProducto_Id) {
 		var i;
 		for(i=$scope.Productos_Pedido.length-1; i>-1; i--) {
 			if (pProducto_Id == $scope.Productos_Pedido[i].Producto_Id)
 			{
		 		// Elimina del arreglo Productos_Pedido
 				$scope.Productos_Pedido.splice(i, 1);

		 		// Elimina tr del HTML
		 		var tbody = document.getElementById('tblPedido').getElementsByTagName('tbody')[0];
		 		//console.log(tbody.rows.length, i, tbody.rows[i]);
		 		var subtotal = parseInt(tbody.rows[i].childNodes[2].innerHTML);
		 		//console.log(subtotal);
 		 		$scope.Pedido_Total -= subtotal;

		 		tbody.deleteRow(i);
 			}
 		}
 		//console.log($scope.Productos_Pedido);
    };

    $scope.eliminaProductoDB = function (pPedido_Id, pProducto_Id) {
        if (confirm('\u00BFEst\u00E1 seguro de eliminar este producto?')) {
            $http.post($rootScope.ApiUrl + 'PedidoProductos/Eliminar/' + pPedido_Id + '&' + pProducto_Id)
                .success(function (PedidoProducto) {
                    if (PedidoProducto.length > 0) {
                        if (PedidoProducto[0].Resultado != undefined && PedidoProducto[0].Resultado == 'OK') {
                            $scope.eliminaProducto(pProducto_Id);
                        }
                    }
                });
        }
    };

 	$scope.agregaProducto = function() {
 		//Validaciones
 		if ($scope.Producto_Nombre == '' || $scope.Producto_Nombre == undefined)
 		{
 			alert('Antes debe seleccionar el producto.');
 			return;
		}
 		if ($scope.Cantidad == '' || $scope.Cantidad == undefined)
 		{
 			alert('Antes debe ingresar la cantidad.');
	 		document.getElementById('txtCantidad').focus();
			return;
		}
 		var tbody = document.getElementById('tblPedido').getElementsByTagName('tbody')[0];
 		//var tr = tbody.insertRow(tbody.rows.length);
 		var tr = document.createElement('tr');
 		tbody.appendChild(tr);
 		//var tdProducto = tr.insertCell(0);
 		var tdProducto = document.createElement('td');
 		tdProducto.style.width = '68%';
 		tdProducto.style.paddingLeft = '2px';
 		tdProducto.style.paddingRight = '0px';
 		tdProducto.className = 'filterable-cell';
 		tdProducto.id = 'td' + $scope.Producto_Id;
 		angular.element(tdProducto).append($compile('<input type="button" class="btn btn-danger" style="font-size:xx-small; border-radius:5px; width:14px; height:14px; padding:0px 0px 0px 2px; text-align:center; vertical-align:middle;" ng-click="eliminaProducto(' + $scope.Producto_Id + ')" value="x" />&nbsp;' + $scope.Producto_Nombre)($scope));
 		tr.appendChild(tdProducto);
 		tdCantidad = document.createElement('td');
 		tdCantidad.style.textAlign = 'right';
 		tdCantidad.style.width = '12%';
 		tdCantidad.className = 'filterable-cell';
 		tdCantidad.innerHTML = $scope.Cantidad;
 		tr.appendChild(tdCantidad);
 		var tdSubtotal = document.createElement('td');
 		tdSubtotal.style.textAlign = 'right';
 		tdSubtotal.style.width = '20%';
 		tdSubtotal.className = 'filterable-cell';
 		var subtotal = parseInt($scope.Producto_PrecioUnitario)  * parseInt($scope.Cantidad);
 		$scope.Pedido_Total += subtotal;
 		tdSubtotal.innerHTML = $filter('number')(subtotal, 0);
 		tr.appendChild(tdSubtotal);
 		tbody.scrollTop = tbody.scrollHeight - tbody.clientHeight;
 		$scope.Productos_Pedido.push({
 			Producto_Id: $scope.Producto_Id
 			, Pedido_Producto_PrecioUnitario: parseInt($scope.Producto_PrecioUnitario)
 			, Pedido_Producto_Cantidad: $scope.Cantidad
			, Pedido_Producto_SubTotal: parseInt($scope.Producto_PrecioUnitario) * parseInt($scope.Cantidad)
			, Flag_Considerar: true
 		});
 		$scope.Producto_Nombre = '';
 		$scope.Cantidad = '';
 		document.getElementById('txtCantidad').focus();
 	};

 	$scope.Validaciones = function() {
 		if ($scope.Despacho_Id == '') {alert('Antes debe seleccionar un tipo de despacho.'); return false;}
 		if ($scope.FormaPago_Id == '') {alert('Antes debe seleccionar una forma de pago.'); return false;}
 		if ($scope.Productos_Pedido.length == 0) {alert('Antes debe ingresar productos al pedido.'); return false;}
 		return true;
 	};

 	$scope.guardaPedido = function() {
 		if ($scope.Validaciones())
 		{
                var lSql = $rootScope.ApiUrl + 'Pedidos/'
	 						+ ($scope.Action=='Modify' ? $scope.Pedido_Id : 'null')
                            + '&' + ($scope.Pedido_ClienteNombre != undefined ? $scope.Pedido_ClienteNombre : 'null')
                            + '&' + ($scope.Pedido_ClienteTelefono != undefined ? $scope.Pedido_ClienteTelefono : 'null')
                            + '&' + ($scope.Pedido_ClienteDireccion != undefined ? $scope.Pedido_ClienteDireccion : 'null')
	 						+ '&' + $scope.Pedido_Total
	 						+ '&0'
	 						+ '&' + $scope.Pedido_Total
	 						+ '&COCINA'
	 						+ '&' + $scope.FormaPago_Id
	 						+ '&' + $scope.Despacho_Id
                            + '&' + ($scope.Pedido_Comentarios != undefined ? $scope.Pedido_Comentarios : 'null')
	 						+ '&' + ($scope.Pedido_Pagado ? '1' : '0');

			console.log(lSql);
		 	$http.post(lSql)
		 		.success(function(pPedidos) {
		 			console.log('Pedidos', pPedidos);
		 			var lPedido_Id = pPedidos[0].Pedido_Id;
		 			//Guardar los productos del pedido
		 			var i; j=0, lConsiderados=0;
		 			for(i=0; i<$scope.Productos_Pedido.length; i++)
		 			{
		 				if ($scope.Productos_Pedido[i].Flag_Considerar)
		 				{
		 					lConsiderados++;
                                lSql = $rootScope.ApiUrl + 'PedidoProductos/' + lPedido_Id
		 							+ '&' + $scope.Productos_Pedido[i].Producto_Id
		 							+ '&' + $scope.Productos_Pedido[i].Pedido_Producto_PrecioUnitario
		 							+ '&' + $scope.Productos_Pedido[i].Pedido_Producto_Cantidad
		 							+ '&' + $scope.Productos_Pedido[i].Pedido_Producto_SubTotal;
		 					//console.log('sql',sql);
		 					$http.post(lSql)
		 						.success(function(pResultado) {
		 							j++;
		 							if (j==lConsiderados)
						 			{
						 				alert('Pedido guardado.');
										$modalInstance.dismiss();
										$rootScope.imprimePedido(lPedido_Id);
						 			}
		 						});
						}
		 			}
		 			if (lConsiderados == 0)
		 			{
		 				alert('Pedido guardado.');
						$modalInstance.dismiss();
						$rootScope.imprimePedido(lPedido_Id);
		 			}
		 		});
		}
	};


	$scope.cerrarVentana = function() {
		$modalInstance.dismiss();
	};

	angular.element(document).ready(function() {
		if ($scope.Action != 'Modify')
		{
	 		$scope.limpiaFormulario();
 		}
	});

});
