﻿shawarma.controller("IngresarProductoController", function ($scope, $http, $modalInstance, $compile, $rootScope, Productos, ProductoSeleccionado) {

    $scope.Productos = Productos;

    $scope.UnidadesStock = [
        { UnidadStock_Id: 'Unidades', UnidadStock_Nombre: 'Unidades' }
        , { UnidadStock_Id: 'Kgs', UnidadStock_Nombre: 'Kgs' }
    ];

    $scope.limpiaFormulario = function () {
        $scope.Producto_Id = 'null';
        $scope.Producto_Nombre = '';
        $scope.Producto_PrecioUnitario = '';
        $scope.Producto_Activo = true;
        $scope.Producto_Stock = null;
        $scope.Producto_StockMinimoAlerta = null;
        $scope.Producto_UnidadStock = 'Unidades';
        $scope.Producto_FlagDescuentaPropioStock = true;
        $scope.Producto_IdDescuentoStock1 = null;
        $scope.Producto_DescuentoStockPorUnidad1 = null;
        $scope.Producto_IdDescuentoStock2 = null;
        $scope.Producto_DescuentoStockPorUnidad2 = null;
        $scope.Producto_IdDescuentoStock3 = null;
        $scope.Producto_DescuentoStockPorUnidad3 = null;
        $scope.Producto_IdDescuentoStock4 = null;
        $scope.Producto_DescuentoStockPorUnidad4 = null;
        var ltxtProductoNombre = document.getElementById('txtProductoNombre');
        if (ltxtProductoNombre != undefined) {
            ltxtProductoNombre.focus();
        }
    };

    if (ProductoSeleccionado != null)
	{
        $scope.Producto_Id = ProductoSeleccionado.Producto_Id;
	 	$scope.Producto_Nombre = ProductoSeleccionado.Producto_Nombre;
	 	$scope.Producto_PrecioUnitario = ProductoSeleccionado.Producto_PrecioUnitario;
	 	$scope.Producto_Activo = ProductoSeleccionado.Producto_Activo == '1' ? true : false;
        $scope.Producto_Stock = ProductoSeleccionado.Producto_Stock;
        $scope.Producto_StockMinimoAlerta = ProductoSeleccionado.Producto_StockMinimoAlerta;
        $scope.Producto_UnidadStock = ProductoSeleccionado.Producto_UnidadStock;
        $scope.Producto_FlagDescuentaPropioStock = (ProductoSeleccionado.Producto_IdDescuentoStock1 == ProductoSeleccionado.Producto_Id ? true : false);
        $scope.Producto_IdDescuentoStock1 = ProductoSeleccionado.Producto_IdDescuentoStock1;
        $scope.Producto_DescuentoStockPorUnidad1 = ProductoSeleccionado.Producto_DescuentoStockPorUnidad1;
        $scope.Producto_IdDescuentoStock2 = ProductoSeleccionado.Producto_IdDescuentoStock2;
        $scope.Producto_DescuentoStockPorUnidad2 = ProductoSeleccionado.Producto_DescuentoStockPorUnidad2;
        $scope.Producto_IdDescuentoStock3 = ProductoSeleccionado.Producto_IdDescuentoStock3;
        $scope.Producto_DescuentoStockPorUnidad3 = ProductoSeleccionado.Producto_DescuentoStockPorUnidad3;
        $scope.Producto_IdDescuentoStock4 = ProductoSeleccionado.Producto_IdDescuentoStock4;
        $scope.Producto_DescuentoStockPorUnidad4 = ProductoSeleccionado.Producto_DescuentoStockPorUnidad4;
	}
	else
	{
        $scope.limpiaFormulario();
	}

 	$scope.Validaciones = function() {
 		if ($scope.Producto_Nombre == '' || $scope.Producto_Nombre == undefined) {
 			alert('Antes debe ingresar el nombre del producto.');
 			document.getElementById('txtProductoNombre').focus();
 			return false;
 		}
 		if ($scope.Producto_PrecioUnitario == '' || $scope.Producto_PrecioUnitario == undefined) {
 			alert('Antes debe ingresar el precio unitario del producto.');
 			document.getElementById('txtProductoPrecioUnitario').focus();
 			return false;
 		}
 		return true;
 	};

 	$scope.guardaProducto = function() {
 		if ($scope.Validaciones())
 		{
                var sql = $rootScope.ApiUrl + 'Productos/'
	 				+ $scope.Producto_Id
	 				+ '&' + $scope.Producto_Nombre
	 				+ '&' + $scope.Producto_PrecioUnitario
                    + '&' + ($scope.Producto_Activo == true ? '1' : '0')
                    + '&' + $scope.Producto_Stock
                    + '&' + $scope.Producto_StockMinimoAlerta
                    + '&' + $scope.Producto_UnidadStock
                    + '&' + ($scope.Producto_FlagDescuentaPropioStock ? 1 : 0)
                    + '&' + $scope.Producto_IdDescuentoStock1
                    + '&' + $scope.Producto_DescuentoStockPorUnidad1
                    + '&' + $scope.Producto_IdDescuentoStock2
                    + '&' + $scope.Producto_DescuentoStockPorUnidad2
                    + '&' + $scope.Producto_IdDescuentoStock3
                    + '&' + $scope.Producto_DescuentoStockPorUnidad3
                    + '&' + $scope.Producto_IdDescuentoStock4
                    + '&' + $scope.Producto_DescuentoStockPorUnidad4;
		 	$http.post(sql)
		 		.success(function(Productos) {
		 			console.log('Productos', Productos);
	 				alert('Producto guardado.');
		 			//$scope.limpiaFormulario();
					$modalInstance.dismiss();
		 		});
 		}
	};

	$scope.cerrarVentana = function() {
		$modalInstance.dismiss();
	};

});
