var express = require("express"),
    app = express(),
    bodyParser  = require("body-parser"),
    methodOverride = require("method-override");
var mysql = require('mysql');

app.use(bodyParser.urlencoded({ extended: false }));
app.use(bodyParser.json());
app.use(methodOverride());
app.use(express.static('c:/HO/Aplicaciones/Sushi/SushiApp/public'));

app.engine('html', require('ejs').renderFile);
app.set('view engine', 'html');
app.set('views', './');
//var router = express.Router();

app.get('/pedidos', function(req, res) {
	res.setHeader('Access-Control-Allow-Origin', '*');
	res.render('index');
});

app.get('/productos', function(req, res) {
	res.setHeader('Access-Control-Allow-Origin', '*');
	res.render('productos');
});

app.get('/pedidos_cocina', function(req, res) {
	res.setHeader('Access-Control-Allow-Origin', '*');
	res.render('pedidoscocina');
});

//app.use(router);

app.listen(4000, function() {
  console.log("WebApp running on http://localhost:4000");
});
